[@rxap/forms](../wiki/globals) / FormType

# Type Alias: FormType\<T\>

> **FormType**\<`T`\>: `Partial`\<[`FormDefinition`](../wiki/Interface.FormDefinition)\<`T`\>\> & \{ \[K in keyof T\]: T\[K\] extends (infer U)\[\] ? FormDefinitionArray\<FormType\<U\>\> \| FormDefinitionArray\<RxapFormControl\<U\>\> \| RxapFormControl\<T\[K\]\> \| RxapFormArray\<U\> : T\[K\] extends Record\<string, any\> ? FormType\<T\[K\]\> & Partial\<FormDefinition\<T\[K\]\>\> \| RxapFormControl\<T\[K\]\> : RxapFormControl\<NonEmpty\<T\[K\]\>\> \}

Defined in: [packages/angular/forms/src/lib/model.ts:88](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L88)

## Type Parameters

• **T**
